/// <reference types="react" />
import { TextFieldProps } from '@mui/material/TextField';
export declare enum CopyError {
    NotAvailable = 0,
    WriteError = 1
}
interface Props {
    /**
     * Copy tooltip text
     */
    copyTooltip?: string;
    /**
     * Handler triggered on copy to clipboard success
     * @param {string} value
     */
    onCopySuccess?: (value: string) => void;
    /**
     * Handler triggered on copy to clipboard error
     * @param {CopyError} value copied value
     */
    onCopyError?: (error: CopyError) => void;
}
export type CopyFieldProps = Props & TextFieldProps;
export declare function CopyField({ onCopyError, onCopySuccess, copyTooltip, value, ...rest }: CopyFieldProps): JSX.Element;
export declare function DefaultCopyField(props: TextFieldProps): JSX.Element;
export {};
//# sourceMappingURL=copy-field.d.ts.map